Bug 110919 - vncviewer segfaults with -via parameter
vncviewer segfaults with -via parameter
Product: Red Hat Raw Hide
Classification: Retired
Component: vnc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-11-25 10:47 EST by Karsten Hopp
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-27 07:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2003-11-25 10:47:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.1)

Description of problem:
vncviewer segfaults when run as 'vncviewer -via gatewaymaschine'.

 Program received signal SIGSEGV, Segmentation fault.
0x006a6f43 in strchr () from /lib/tls/libc.so.6
(gdb) bt
#0  0x006a6f43 in strchr () from /lib/tls/libc.so.6
#1  0xbff29274 in ?? ()
#2  0x08062eba in interpretViaParam (gatewayHost=0xbff27aa0,
    remoteHost=0xbff27aa4, remotePort=0xbff27aa8,
    localPort=5599) at cstring:107
#3  0x0806321d in main (argc=3, argv=0xbff29274) at vncviewer.cxx:273

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. vncviewer -via gatewaymaschine
2. vncviewer segfaults

Actual Results:  nothing

Expected Results:  normal vncviewer window asking for the remote
display should come up

Additional info:

vncviewer -via  gatewaymaschine localhost:0   works as expected, but
it should ask for the remote DISPLAY when not supplied on the commandline.
Comment 1 Tim Waugh 2003-11-27 13:16:57 EST
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.